Page Summary
-
Retrieves information for a given store using a
GETrequest. -
Requires
merchantId,targetMerchantId, andstoreCodeas path parameters. -
An empty request body is necessary, and the response provides details about the store in the
PosStoreformat. -
Authorization is required using the
https://www.googleapis.com/auth/contentOAuth scope.
Retrieves information about the given store.
HTTP request
GET https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/pos/{targetMerchantId}/store/{storeCode}
Path parameters
| Parameters | |
|---|---|
merchantId |
The ID of the POS or inventory data provider. |
targetMerchantId |
The ID of the target merchant. |
storeCode |
A store code that is unique per merchant. |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of PosStore.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/content
For more information, see the OAuth 2.0 Overview.